qtorganizer-eds (0.2.0) unstable; urgency=medium

  * Upstream-provided Debian package for qtorganizer-eds. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Thu, 20 Jun 2024 21:46:37 +0200

qtorganizer5-eds (0.1.5+ubports2) UNRELEASED; urgency=medium

  * Port to focal
  * Update to dh version 12
  * Use source format 3.0
  * Update VCS and homepage URLs
  * Don't override dh_auto_test, it handles nocheck itself
  * Port to libecal 2.0

 -- Guido Berhoerster <guido+gitlab.com@berhoerster.name>  Tue, 08 Feb 2022 10:59:26 +0100

qtorganizer5-eds (0.1.5~0ubports1) xenial; urgency=medium

  * Fixed unit tests, made them more robust and fixed a few issues uncovered
    thanks to them.
  * Fix loading of recurrent events
  * Properly remembers the default collection; really fixes
    https://github.com/ubports/ubuntu-touch/issues/919

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Tue, 13 Nov 2018 22:34:49 +0300

qtorganizer5-eds (0.1.4~0ubports1) xenial; urgency=medium

  * Fix handling of item IDs. Fixes:
    - https://github.com/ubports/ubuntu-touch/issues/919
    - https://github.com/ubports/ubuntu-touch/issues/869
  * Fix handling of recurrent events

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Sun, 28 Oct 2018 23:11:24 +0300

qtorganizer5-eds (0.1.3~0ubports1) xenial; urgency=medium

  * New debian versioning scheme

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Tue, 18 Sep 2018 21:45:20 +0300

qtorganizer5-eds (0.1.2+ubports1) xenial; urgency=medium

  * No change rebuild against latest QtPim

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Tue, 24 Jul 2018 21:55:38 +0300

qtorganizer5-eds (0.1.2+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sat, 30 Jun 2018 10:56:42 +0200

qtorganizer5-eds (0.1.1+16.10.20160928-0ubuntu1) yakkety; urgency=medium

  * Fix recurrence date. (LP: #1616040)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 28 Sep 2016 14:56:01 +0000

qtorganizer5-eds (0.1.1+16.10.20160820-0ubuntu1) yakkety; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 03:24:37 +0000

qtorganizer5-eds (0.1.1+16.10.20160721.1-0ubuntu1) yakkety; urgency=medium

  * Update dep package name.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 21 Jul 2016 14:38:25 +0000

qtorganizer5-eds (0.1.1+16.10.20160711-0ubuntu1) yakkety; urgency=medium

  * Create a "collection-account-id" meta data property to store the
    account id which the source is linked.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 11 Jul 2016 14:49:14 +0000

qtorganizer5-eds (0.1.1+16.04.20160506.1-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2016 13:08:49 +0000

qtorganizer5-eds (0.1.1+16.04.20160506.1-0ubuntu1) xenial; urgency=medium

  * Make sure that recurrence-id contains the event timezone. (LP:
    #1577416)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Fri, 06 May 2016 14:46:28 +0000

qtorganizer5-eds (0.1.1+16.04.20160420-0ubuntu1) xenial; urgency=medium

  * Save all days events in UTC time format to avoid problems with while
    converting it to QML. (LP: #1563742)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 20 Apr 2016 23:52:18 +0000

qtorganizer5-eds (0.1.1+16.04.20160317-0ubuntu1) xenial; urgency=medium

  * Store default collection information on QSettings.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 17 Mar 2016 17:13:20 +0000

qtorganizer5-eds (0.1.1+16.04.20160315-0ubuntu1) xenial; urgency=medium

  * Implemented support to change the default collection using
    'collection-default' meta data. (LP: #1373945)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 15 Mar 2016 17:54:13 +0000

qtorganizer5-eds (0.1.1+16.04.20160307-0ubuntu1) xenial; urgency=medium

  * Avoid query on sources that is not part of the filter.
  * Fix qdatetime value before convert it to time_t. Update event end
    time if saving event with startDate > endDate;
  * Implemented event parse EDS -> QOrganizer in a thread to avoid main
    thread be blocked.
  * Implemented support for filter event details during the event query.
  * Optimize event query.
  * Populate event list with detached events.
  * Request a new source from EDS if the actual source still marked as
    not removable.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 07 Mar 2016 17:42:01 +0000

qtorganizer5-eds (0.1.1+16.04.20151029-0ubuntu1) xenial; urgency=medium

  [ Gary.Wzl ]
  * Correct save events with UTC format. (LP: #1445577)

  [ Renato Araujo Oliveira Filho ]
  * Correct save events with UTC format. (LP: #1445577)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 29 Oct 2015 17:03:33 +0000

qtorganizer5-eds (0.1.1+15.10.20150723.1-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2015 21:36:36 +0000

qtorganizer5-eds (0.1.1+15.10.20150723.1-0ubuntu1) wily; urgency=medium

  [ Iain Lane ]
  * Adapt to API changes and new D-Bus service names in e-d-s 3.16 (LP:
    #1469208)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 23 Jul 2015 14:16:49 +0000

qtorganizer5-eds (0.1.1+15.04.20150508.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Renato Araujo Oliveira Filho ]
  * Added a new extra metadata property in collection (read-only
    property). (LP: #1347836)
  * Avoid filter or sort results if not necessary.
  * Implemented support for extended details. (LP: #1426519)
  * Optimize query by filtering collections related with the current
    query.
  * Removed missing debug.
  * Revert wrong commit.
  * Save a trigger for reminders with with secondsBeforeStart equals 0.
    (LP: #1440878)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 08 May 2015 20:01:44 +0000

qtorganizer5-eds (0.1.1+15.04.20150309-0ubuntu1) vivid; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Fixed engine crash while destroying and requests still running. (LP:
    #1423185)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 09 Mar 2015 13:48:42 +0000

qtorganizer5-eds (0.1.1+15.04.20150227-0ubuntu1) vivid; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Use '0' as value for recurrence count if this is unset. (LP:
    #1424924)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Feb 2015 19:51:10 +0000

qtorganizer5-eds (0.1.1+15.04.20141121.1-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Jan 2015 12:15:52 +0000

qtorganizer5-eds (0.1.1+15.04.20141121.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Fixed attendee property parse. (LP: #1384830)
  * Fixed recurrence rule limit date. (LP: #1362781)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Nov 2014 13:32:56 +0000

qtorganizer5-eds (0.1.1+14.10.20141010-0ubuntu1) 14.09; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Save events in the correct timezone.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 15:12:57 +0000

qtorganizer5-eds (0.1.1+14.10.20141001.4-0ubuntu1) 14.09; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Create unit test to event tags.
  * Fixed cancel function for request data.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 21:38:05 +0000

qtorganizer5-eds (0.1.1+14.10.20140923-0ubuntu1) utopic; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed recurrence events.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Sep 2014 17:01:28 +0000

qtorganizer5-eds (0.1.1+14.10.20140610.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Only destroy request data in the requestDestroyed function. (LP:
    #1328144)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 10 Jun 2014 20:59:33 +0000

qtorganizer5-eds (0.1.1+14.10.20140508-0ubuntu1) utopic; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Set setSecondsBeforeStart on reminders even if the value is zero,
    otherwise this will create a empty reminder. (LP: #1309041)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 May 2014 16:45:24 +0000

qtorganizer5-eds (0.1.1+14.10.20140502-0ubuntu1) utopic; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Check if request was destroyed by the caller before continue with
    request process. (LP: #1309186)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 May 2014 14:24:28 +0000

qtorganizer5-eds (0.1.1+14.04.20140415.1-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Optimize eventid parse, and avoid memory leak. (LP: #1306112)
  * Used alarm component description as message field for visual
    reminders. (LP: #1284375)
  * Implemented support to update recurrence items with different modes.
    All (E_CAL_OBJ_MOD_ALL);. A single instance (E_CAL_OBJ_MOD_THIS),. A
    specific set of instances (E_CAL_OBJ_MOD_THIS_AND_PRIOR and
    E_CAL_OBJ_MOD_THIS_AND_FUTURE) (LP: #1283859)
  * Fixed recurrence date limit parse. (LP: #1292554)
  * Removed all debug messages. (LP: #1294426)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 19:43:13 +0000

qtorganizer5-eds (0.1.1+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Implemented support to save changes on collections. Export eds
    collection color into QOrganizerCollection using
    "QOrganizerCollection::KeyColor" metadata. Export eds collection
    type into QOrganizerCollection using "collection-type" extended
    metadata. Export eds collection selected or not into
    QOrganizerCollection using "collection-selected" extended metadata.
    (LP: #1295180)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 19:29:15 +0000

qtorganizer5-eds (0.1.1+14.04.20140403.1-0ubuntu1) trusty; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Renato Araujo Oliveira Filho ]
  * Initial implementation of time zone support. (LP: #1267814)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 21:23:15 +0000

qtorganizer5-eds (0.1.1+14.04.20140307.1-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 07:02:56 +0000

qtorganizer5-eds (0.1.1+14.04.20140307-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed parse from icalrecurrencetype to
    QtOrganizer::QOrganizerRecurrenceRule for weekly recurrence. (LP:
    #1285958)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 04:49:19 +0000

qtorganizer5-eds (0.1.1+14.04.20140228.1-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Make sure to remove the request from internal list when it get
    destroyed. (LP: #1284587)
  * Implemented support for QOrganizerItemOccurrenceFetchRequest.
  * Fixed memory leaks of ECalComponentDateTime object. (LP: #1285056)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 23:37:02 +0000

qtorganizer5-eds (0.1.1+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed compilation with Qt5.2 (LP: #1280281)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 14:58:55 +0000

qtorganizer5-eds (0.1.1+14.04.20140221-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Limited the number of events returned when no date interval is
    specified. (LP: #1282129)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Feb 2014 19:27:00 +0000

qtorganizer5-eds (0.1.1+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed item it to contains the recurrence it. Correct parse for
    recurrence items to create the QOrganizerTodoOccurrence or
    QOrganizerEventOccurrence. This allow us to remove/edit a specific
    item in recurrence items. (LP: #1274792)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 19:22:33 +0000

qtorganizer5-eds (0.1.1+14.04.20140131-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Make sure that allDay property get saved correct. (LP: #1265953)
  * Fixed todo event parse. (LP: #1272333)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Jan 2014 11:37:04 +0000

qtorganizer5-eds (0.1.1+14.04.20140108.2-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Configured eds to run a new session for each test.
  * Implemented support for query items by id. (LP: #1240808)
  * Implemented support for save multiple items. This new implementation
    allows to save several items in the same call. The items can be part
    of the same collection or not.
  * fixed query items with recurrence.
  * Implemented remove item by id;. (LP: #1240505)
  * Fixed create items without collection id. (LP: #1262296)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 26

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Jan 2014 02:58:12 +0000

qtorganizer5-eds (0.1.1+14.04.20131024.4-0ubuntu2) trusty; urgency=low

  * No-change rebuild for new e-d-s

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 13 Nov 2013 13:14:41 +0000

qtorganizer5-eds (0.1.1+14.04.20131024.4-0ubuntu1) trusty; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Used a proper match all query string. (LP: #1236390)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 17

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 24 Oct 2013 19:53:51 +0000

qtorganizer5-eds (0.1.1+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * *Fixed default source/collection load; *Implemented changes notify.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 15

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 02:09:03 +0000

qtorganizer5-eds (0.1.1+13.10.20130917.1-0ubuntu1) saucy; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Avoid emit signal item removed before query finish.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 13

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Sep 2013 22:03:26 +0000

qtorganizer5-eds (0.1.1+13.10.20130819.2-0ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Small packaging tweaks.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 10

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 Aug 2013 10:04:23 +0000

qtorganizer5-eds (0.1.1+13.10.20130819-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Tiny package cleanups, add COPYING file
  * Automatic snapshot from revision 5

  [ Renato Araujo Oliveira Filho ]
  * Basic implementation for item recurrence.
  * Fixed test to work on a brand new env.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 8

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 Aug 2013 02:04:12 +0000

qtorganizer5-eds (0.1.0-0ubuntu1) saucy; urgency=low

  * Initial release

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 14 Aug 2013 18:24:49 -0300

